Bug 1060627 - [Regression] Drop down navmenu does not work in the editor [NEEDINFO]
[Regression] Drop down navmenu does not work in the editor
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
high Severity high
: ---
: 3.3
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-03 00:29 EST by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140212-1531)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lbrooker: needinfo? (camunoz)


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2014-02-03 00:29:51 EST
Description of problem:
The drop down menu does not work when using the editor. Clicking it seems to take the user to the same url with "#nav-user" appended to it

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin, click Projects
2. Click a project, then a version, then a language
3. Click the dropdown menu (top right) when the editor/doc list has loaded

Actual results:
Nothing

Expected results:
Drop down menu drops down

Additional info:
Comment 1 Carlos Munoz 2014-02-05 18:32:27 EST
Luke, could you take a look at this? This might have something to do with css, similar to what we're seeing with some other components not showing up.
Comment 2 Luke Brooker 2014-02-05 22:35:44 EST
(In reply to Carlos Munoz from comment #1)
This is purely to do with the order of script files in the main template. Alex updated it for the jsf pages but mustn't have for the editor template. Do you want me to change that?

> Luke, could you take a look at this? This might have something to do with
> css, similar to what we're seeing with some other components not showing up.
Comment 3 Alex Eng 2014-02-09 18:09:31 EST
Pull request: https://github.com/zanata/zanata-server/pull/360
Comment 4 Alex Eng 2014-02-09 20:40:34 EST
Pull request: https://github.com/zanata/zanata-server/pull/362
Comment 5 Damian Jansen 2014-02-12 00:40:31 EST
Verified at 29de4991b655f8742b35b78d2508da6d8119f41d
Comment 6 Sean Flanigan 2014-03-20 01:47:26 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.